%global srcname billiard

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

Name:           python-%{srcname}
Version:        3.3.0.0
Release:        1%{?dist}
Summary:        Multiprocessing Pool Extensions

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/billiard
Source0:        http://pypi.python.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
This package contains extensions to the multiprocessing Pool.

%if 0%{?with_python3}
%package -n python3-billiard
Summary:        Multiprocessing Pool Extensions
Group:          Development/Languages
Requires:       python3
BuildArch:      noarch
%description -n python3-billiard
This package contains extensions to the multiprocessing Pool.

%endif

%prep
%setup -q -n %{srcname}-%{version}

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%{__python} setup.py install --skip-build --root %{buildroot}
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%check
%{__python} setup.py test
#
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif # with_python3

%files
%doc CHANGES.txt LICENSE.txt README.rst
%{python_sitearch}/_billiard*
%{python_sitearch}/%{srcname}/
%{python_sitearch}/%{srcname}*.egg-info
%exclude %{python_sitearch}/funtests/

%if 0%{?with_python3}
%files -n python3-billiard
%doc CHANGES.txt LICENSE.txt README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info
%exclude %{python3_sitelib}/funtests/
%endif # with_python3

%changelog
* Mon Oct 28 2013 Fabian Affolter <mail@fabian-affolter.ch> - 3.3.0.0-1
- Updated to latest upstream version 3.3.0.0 (rhbz#1019144)

* Mon Oct 14 2013 Matthias Runge <mrunge@redhat.com> - 2.7.34-1
- update to 2.7.34 (rhbz#1018595)
- enable tests

* Tue Oct 08 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.33-1
- Updated to latest upstream version 2.7.3.33

* Sat Aug 17 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.32-1
- Updated to latest upstream version 2.7.3.32

* Wed Jul 31 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.31-1
- Updated to latest upstream version 2.7.3.31

* Sat Jun 29 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.30-1
- Updated to latest upstream version 2.7.3.30

* Wed Apr 17 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.28-1
- Updated to latest upstream version 2.7.3.28

* Tue Mar 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.23-1
- Updated to latest upstream version 2.7.3.23

* Sat Mar 09 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.22-1
- Updated to latest upstream version 2.7.3.22

* Wed Feb 13 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.21-1
- Updated to latest upstream version 2.7.3.21

* Mon Feb 11 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.20-1
- Updated to latest upstream version 2.7.3.20

* Sun Dec 02 2012 Matthias Runge <mrunge@redhat.com> - 2.7.3.19-1
- update to upstream version 2.7.3.19

* Tue Nov 06 2012 Matthias Runge <mrunge@redhat.com> - 2.7.3.18-1
- update to upstream version 2.7.3.18

* Fri Sep 28 2012 Matthias Runge <mrunge@redhat.com> - 2.7.3.17-1
- update to upstream version 2.7.3.17

* Thu Sep 20 2012 Matthias Runge <mrunge@redhat.com> - 2.7.3.14-1
- update to upstream version 2.7.3.14

* Sun Aug 26 2012 Matthias Runge <mrunge@matthias-runge.de> - 2.7.3.12-1
- update to new upstream version 2.7.3.12
- provide python3 packages
- enable checks

* Fri Aug 03 2012 Matthias Runge <mrunge@matthias-runge.de> 2.7.3.11-1
- update to new upstream version 2.7.3.11

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Fabian Affolter <mail@fabian-affolter.ch> - 2.7.3.9-1
- Updated to new upstream version 2.7.3.9

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 14 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-2
- TODO removed

* Sat Jul 03 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.1-1
- Initial package
